package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 行业对象 tb_industry
 * 
 * @author xiatao
 * @date 2022-02-08
 */
public class Industry extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 行业名称 */
    @Excel(name = "行业名称")
    private String name;

    /** 等级 */
    @Excel(name = "等级")
    private Integer level;

    /** 父节点id */
    @Excel(name = "父节点id")
    private Long pId;

    /** 行业发散（比如酒，白酒，红酒）用做匹配 */
    @Excel(name = "行业发散", readConverterExp = "比=如酒，白酒，红酒")
    private String tags;

    /** 是否启动1是0否 */
    @Excel(name = "状态")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLevel(Integer level) 
    {
        this.level = level;
    }

    public Integer getLevel() 
    {
        return level;
    }
    public void setpId(Long pId) 
    {
        this.pId = pId;
    }

    public Long getpId() 
    {
        return pId;
    }
    public void setTags(String tags) 
    {
        this.tags = tags;
    }

    public String getTags() 
    {
        return tags;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("level", getLevel())
            .append("pId", getpId())
            .append("tags", getTags())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
